Jump to content
UnitySpain

Aceptamos donaciones vía Paypal.

UnitySpain.com es un servicio gratuito, pero mantener la Comunidad conlleva una serie de gastos.

Fondo Anual Unityspain: Donados 58,34€ de 150,00€

  • Servidor: Dominio.com y Hosting Web
  • Mantenimiento de los Foros
  • Contenido y Servicios Extras
  • Mantenimiento para Redes Sociales
Lucky-chan

ANSWERED problema al subir una app a google play

Recommended Posts

buenas tardes a todos. pues eso acabo de hacer una app para google play pero me tira una ###### de que necesito actualizar el codigo a 64 bit, no entiendo muy bien a que se refiere, joder he hecho apps de la misma forma en la que hice esta y no tocaba tanto los ####### para subir una app, igual tuve que quitar las adds de la app por que me salía error con el "graddle"

que necesito hacer para poder subir esta mamada >:V

gracias de antemano

Sin título.png

Share this post


Link to post
Share on other sites


Unity por defecto hacer una compilación para Android en 32 bits, aunque en futuras versiones ya no estará soportada, y será siempre 64 bits, esto se debe a que Google ya no admitirá más app compiladas a 32 bits. En Build settings, tienes que ir a "other settings" y poner Script Backend en IL2CPP y te permitirá seleccionar 64 bits.

Captura unity.PNG

No se si es la mejor configuración, pero esa advertencia dejo de salir.

 

En este enlace tienes más información

www.unityspain.com/index.php?app=forums&module=forums&controller=topic&id=40132

Edited by salvadev

Share this post


Link to post
Share on other sites

IL2CPP da error en muchas instalaciones, a la hora de hacer la Build, debido a incomptabilidad de versiones de las Tools del Android SDK. Hay que asegurar una forma de que funcione todo siempre, bien y a la primera.

Share this post


Link to post
Share on other sites

buff gracias amigos xd ya me estaba dando dolores de cabeza, no se que estaba haciendo mal por que en cuanto revisé tenía esa misma configuración, pero ya la he subido que es lo importante n_n

Edited by Lucky-chan

Share this post


Link to post
Share on other sites

Te voy adecir unas cosas que puede ser te ayuden mucho si todavia no lo has solucionado. Primero sigue cualquier tutorial de esos de un minuto y medio de como exportar a 64 bits, en los que explican las casillas que hay que pulsar y demas. PAra la gran mayoria eso no es suficiente . Quita todo plugin estilo GameAnalytics, Facebook SDK y demas. Actualizar al ultimo Unity. Y despues bajate eel anterior(Unity 2019.1.14f1). A este Unity quitale la carpeta del "gdk" y sustituyela en el Ultimo Unity actualizado ya que la de este ultimo está corrupta. YA deberia funcionar. A mi y mucha gente se le ha solucionado asi el tema de poder exportar a 64 bits. Si todo te va bien a la primera pues perfecto.

Share this post


Link to post
Share on other sites

Con la 2018.4 ya puedes compilar en 32/64. No hace falta ir a la última y que te aparezcan otro tipo de problemas debido a la versión.

Share this post


Link to post
Share on other sites
2 hours ago, iRobb said:

Con la 2018.4 ya puedes compilar en 32/64. No hace falta ir a la última y que te aparezcan otro tipo de problemas debido a la versión.

Coincido con esto. Yo también tuve problemas con la versión más nueva de Unity al compilar para Android. Volver a Unity 2018 lo ha arreglado para mí.

Share this post


Link to post
Share on other sites

Alguno tuvisteis problemas despues en la version de 64 al compilar con GameAnalytics implementado ? Yo compilé bien quitandole los plugins y pasando a 64 bits. pero despues al meterle GameAnalytics y Facebook sdk. me salieron errores. A alguien le ha pasado?

 

IMG-20190814-WA0083.jpg

Share this post


Link to post
Share on other sites

Buenas,

 

A mi el problema que me da es que al subir el AAB me sale el mensaje ese de que a partir de agosto hay que subir para 64bit y el caso es que lo tengo seleccionado en las settings....se supone que en el AppAndroidBundle deberian ir las dos versiones 32 y 64 pero me sigue saliendo el error al subirlo...

Share this post


Link to post
Share on other sites

En Ohter Settings ya has marcado en Target Architecture ARMv7 y ARM64?

Share this post


Link to post
Share on other sites

¡¡¡Por fin lo solucione!!!

Al final desactive la opción de x86 (que por cierto en la version de Unit 2019 aparece ya como deprecated) hice el AAB y ya pude subirla sin problemas, me dio un aviso indicando que algunos dispositivos no podrían instalarse mi App (por el tema del x86) pero ya me dejo. :1_grinning:

Estuve leyendo que la arquitectura x86 para movil hace tiempo que intel dejo de desarrollar procesadores y hay poquisimos dispositivos con esa arquitectura el ultimo movil fue el ASUS' Zenfone 2 del 2015

Espero que le sirva de ayuda a alguien con el mismo problema.

 

Share this post


Link to post
Share on other sites

×
×
  • Create New...